User Tag List

  1. BenJuan26's Avatar
    Now that iOS 6 has an untethered jailbreak I finally upgraded. Now my Bluetooth controls and metadata aren't working with my Alpine CDE-133BT car stereo. I've heard that this is because older units are confused by the new AVRCP 1.4 profile. If someone could make a tweak that downgrades to AVRCP 1.3, I'm sure the whole community would be grateful.
    2013-02-20 01:01 AM
  2. derekivey's Avatar
    Now that iOS 6 has an untethered jailbreak I finally upgraded. Now my Bluetooth controls and metadata aren't working with my Alpine CDE-133BT car stereo. I've heard that this is because older units are confused by the new AVRCP 1.4 profile. If someone could make a tweak that downgrades to AVRCP 1.3, I'm sure the whole community would be grateful.
    I second this. My 2012 Mazda 3 never showed the metadata. Apple never supported AVRCP 1.3. They went from 1.0 to 1.4 I believe. I tried contacting Matthias Ringwald (@mringwal on twitter) and never got a response. He's the guy that made BTstack. He'd probably be our best chance. Unfortunately it sounds like a lot of work. It sounds like BlueZ (BlueZ) has support for AVRCP 1.3. Maybe someone could get that bluetooth stack working on the iPhone. There are numerous threads about this issue on Apple's forum and they don't seem to care .

    https://discussions.apple.com/thread...art=0&tstart=0
    https://discussions.apple.com/thread...art=0&tstart=0

    It sounds like Apple is leaving it up to the headunit manufacturers to release updates to fix the issue: Some car stereos require a firmware update for AVRCP 1.4 Bluetooth compatibility

    Seems like a crappy solution considering most manufacturers won't release updates. Apple should've provided a AVRCP 1.3 only mode rather than forcing 1.4. Sadly I think my iPhone 4S will be my last iPhone. I am seriously considering an Android device since this feature works on Android.
    2013-03-15 07:22 PM
  3. sensown's Avatar
    Bump
    2013-05-24 03:45 PM
  4. DC_Dave's Avatar
    Hi, I don't know if this is of any use, but If you download Flex from Cydia, then search Flex for Springboard patches, you will see a patch called "Allow All Bluetooth Pairing", might be with a go?
    2013-05-24 11:12 PM
LINK TO POST COPIED TO CLIPBOARD